Bug 440065 - Apr 1 16:57:48 bill kernel: hald[2118]: segfault at b7dcc000 eip 08057206 esp bfef5490 error 4
Apr 1 16:57:48 bill kernel: hald[2118]: segfault at b7dcc000 eip 08057206 es...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 12:04 EDT by Bill Crawford
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2008-04-01 12:04:25 EDT
Description of problem:
Apr  1 16:57:48 bill kernel: hald[2118]: segfault at b7dcc000 eip 08057206 esp 
bfef5490 error 4

Worked after restarting, but it really shouldn't segfault in the first place.

Version-Release number of selected component (if applicable):
0.5.10-1.fc8.2

How reproducible:
Run "hal-disable-polling" several times on different devices.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
[root@bill ~]# hal-disable-polling --device /dev/sdg
Polling for drive /dev/sdg have been disabled. The fdi file written was
  /etc/hal/fdi/information/media-check-disable-storage_serial_Generic_USB_SM_Reader_2004888_0_2.fdi
[root@bill ~]# hal-disable-polling --device /dev/sdh
Could not initialise connection to hald.
Normally this means the HAL daemon (hald) is not running or not ready.
[root@bill ~]# hal-disable-polling --device /dev/sdh
Could not initialise connection to hald.
Normally this means the HAL daemon (hald) is not running or not ready.
[root@bill ~]# ps auxwww | grep hal
root      2139  0.0  0.0   3396   992 ?        S    16:36   0:00 
hald-addon-input: Listening 
on /dev/input/event5 /dev/input/event4 /dev/input/event3 /dev/input/event1
68        2160  0.0  0.0   2156   824 ?        S    16:36   0:00 
hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      2195  0.0  0.0   3396   884 ?        S    16:36   0:00 
hald-addon-storage: no polling because /dev/sdh is locked via HAL
root      2786  0.0  0.0   4052   688 pts/1    S+   16:58   0:00 grep hal
[root@bill ~]# less /var/log/messages
[root@bill ~]# service haldaemon restart
Stopping HAL daemon:                                       [FAILED]
Starting HAL daemon:                                       [  OK  ]
[root@bill ~]# ps auxwww | grep hal
root      2139  0.0  0.0   3396   992 ?        S    16:36   0:00 
hald-addon-input: Listening 
on /dev/input/event5 /dev/input/event4 /dev/input/event3 /dev/input/event1
68        2160  0.0  0.0   2156   824 ?        S    16:36   0:00 
hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      2195  0.0  0.0   3396   884 ?        S    16:36   0:00 
hald-addon-storage: no polling because /dev/sdh is locked via HAL
68        2887  6.5  0.3   5872  3580 ?        Ss   17:03   0:00 hald
root      2888  0.3  0.0   3296   920 ?        S    17:03   0:00 hald-runner
root      2908  0.0  0.0   3396   996 ?        S    17:03   0:00 
hald-addon-input: Listening 
on /dev/input/event5 /dev/input/event4 /dev/input/event3 /dev/input/event1
68        2916  0.0  0.0   2156   828 ?        S    17:03   0:00 
hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      2960  0.0  0.0   3396   884 ?        S    17:03   0:00 
hald-addon-storage: polling /dev/sdh (every 2 sec)
root      2966  0.0  0.0   4052   684 pts/1    S+   17:03   0:00 grep hal
[root@bill ~]# hal-disable-polling --device /dev/sdh
Polling for drive /dev/sdh have been disabled. The fdi file written was
  /etc/hal/fdi/information/media-check-disable-storage_serial_Generic_USB_MS_Reader_2004888_0_3.fdi
[root@bill ~]# ps auxwww | grep hal
root      2139  0.0  0.0   3396   992 ?        S    16:36   0:00 
hald-addon-input: Listening 
on /dev/input/event5 /dev/input/event4 /dev/input/event3 /dev/input/event1
68        2160  0.0  0.0   2156   824 ?        S    16:36   0:00 
hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      2195  0.0  0.0   3396   884 ?        S    16:36   0:00 
hald-addon-storage: no polling because /dev/sdh is locked via HAL
68        2887  2.6  0.3   5872  3088 ?        Ss   17:03   0:00 hald
root      2888  0.1  0.0   3296   924 ?        S    17:03   0:00 hald-runner
root      2908  0.0  0.0   3396   996 ?        S    17:03   0:00 
hald-addon-input: Listening 
on /dev/input/event5 /dev/input/event4 /dev/input/event3 /dev/input/event1
68        2916  0.0  0.0   2156   828 ?        S    17:03   0:00 
hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      2971  0.0  0.0   4052   684 pts/1    S+   17:03   0:00 grep hal
Comment 1 James 2008-05-06 05:13:49 EDT
Seen similar here, also hal-0.5.10-1.fc8.2:

hald[2041]: segfault at b7dc3000 eip 08057206 esp bf8b58c0 error 4

Provoked by the CD drive (either mounting, or attempting to eject when empty,
cannot tell which at the moment).
Comment 2 James 2008-07-10 14:53:31 EDT
Got another one when I plugged in a USB flash drive.
Comment 3 Bug Zapper 2008-11-26 05:21:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:18:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.